#ifndef XMULTIDEF_H
#define XMULTIDEF_H

#include "xasset.h"

#include <QVector>

class XMultiDef : public XAsset
{
public:
    explicit XMultiDef();
    ~XMultiDef();

    void ParseData(XDataStream *aStream) override;
    void Clear() override;

private:
    QVector<qint32> mDvarListPtrs;
    QStringList mDvarList;
    QVector<qint32> mDvarStrPtrs;
    QStringList mDvarStr;
    QVector<float> mDvarValue;
    int mCount;
    int mStrDef;
};

#endif // XMULTIDEF_H








